Package com.independentsoft.office.spreadsheet.styles

# Class GradientFill

java.lang.Object
com.independentsoft.office.spreadsheet.styles.GradientFill

public class GradientFill extends Object
The Class GradientFill.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GradientFill()`
  Instantiates a new gradient fill.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GradientFill`
  `clone()`
  `double`
  `getBottom()`
  Gets the bottom.
  `double`
  `getDegree()`
  Gets the degree.
  `double`
  `getLeft()`
  Gets the left.
  `double`
  `getRight()`
  Gets the right.
  `List<GradientStop>`
  `getStops()`
  Gets the stops.
  `double`
  `getTop()`
  Gets the top.
  `GradientType`
  `getType()`
  Gets the type.
  `void`
  `setBottom​(double bottom)`
  Sets the bottom.
  `void`
  `setDegree​(double degree)`
  Sets the degree.
  `void`
  `setLeft​(double left)`
  Sets the left.
  `void`
  `setRight​(double right)`
  Sets the right.
  `void`
  `setTop​(double top)`
  Sets the top.
  `void`
  `setType​(GradientType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GradientFill

    public GradientFill()
    Instantiates a new gradient fill.

- ## Method Details

  - ### clone

    public GradientFill clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getStops

    public List<GradientStop> getStops()
    Gets the stops.
    Returns:
      the stops

  - ### getBottom

    public double getBottom()
    Gets the bottom.
    Returns:
      the bottom

  - ### setBottom

    public void setBottom​(double bottom)
    Sets the bottom.
    Parameters:
      `bottom` - the new bottom

  - ### getDegree

    public double getDegree()
    Gets the degree.
    Returns:
      the degree

  - ### setDegree

    public void setDegree​(double degree)
    Sets the degree.
    Parameters:
      `degree` - the new degree

  - ### getLeft

    public double getLeft()
    Gets the left.
    Returns:
      the left

  - ### setLeft

    public void setLeft​(double left)
    Sets the left.
    Parameters:
      `left` - the new left

  - ### getRight

    public double getRight()
    Gets the right.
    Returns:
      the right

  - ### setRight

    public void setRight​(double right)
    Sets the right.
    Parameters:
      `right` - the new right

  - ### getTop

    public double getTop()
    Gets the top.
    Returns:
      the top

  - ### setTop

    public void setTop​(double top)
    Sets the top.
    Parameters:
      `top` - the new top

  - ### getType

    public GradientType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(GradientType type)
    Sets the type.
    Parameters:
      `type` - the new type